Skip to main content
GET
Get stored action run results

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication.

Scopes

external

Scope that gives access to all Public APIs

Path Parameters

run_id
string<uuid>
required
stored_action_id
string<uuid>
required

Response

Success: Includes the results of the task run.

The flat response payload for fetching a stored action run.

errors
object[]
required

Any errors returned by the partner when running this action.

type
string
default:run

Specifies the resource type, as required by the JSON:API specification.

id
string<uuid>

The id returned by the initial call to run an action.

status
enum<string>

The result of the action call itself from the partner. You could have a success=True (Zapier succeeded) and status=error (the partner raise an error).

  • error - error
  • success - success
  • waiting - waiting
Available options:
error,
success,
waiting
results
object[]

Could be empty, even if the action was successfully run.

next_page
string

When using bulk read action types, this denotes the state of the paging utilities. Pass it back as page on the next POST /stored-actions/{stored_action_id}/run call.

Last modified on October 22, 2026